Page MenuHomePhabricator

Create a cx2outreach campaign
Closed, ResolvedPublic

Description

As part of the plans to reach out to different communities (T205610), we want to invite them to try version 2 of Content Translation. We want to provide them a link that goes directly to Content Translation dashboard (even if they have not enabled the beta feature before).

In order to facilitate the access, we need to define a campaign, so that a direct link such as https://en.wikipedia.org/wiki/Special:ContentTranslation?campaign=cx2outreach goes directly to the dashboard (enabling the beta feature automatically when needed).

Creating a "cx2outreach" campaign requires to edit the file extension.json in the CX repo, and add an entry to the ContentTranslationCampaigns section:

cx2outreach: true

Then, any URL that points to Special:CX and includes &campaign=cx2outreach can be used as an entry point.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable cx2outreach campaign
mediawiki/extensions/ContentTranslation : wmf/1.32.0-wmf.24Enable cx2outreach campaign
mediawiki/extensions/ContentTranslation : masterEnable cx2outreach campaign

Event Timeline

Pginer-WMF triaged this task as Medium priority.Oct 15 2018, 1:37 PM
Pginer-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2018, 1:37 PM

Change 467869 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/ContentTranslation@master] Enable cx2outreach campaign

https://gerrit.wikimedia.org/r/467869

Change 467870 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Enable cx2outreach campaign

https://gerrit.wikimedia.org/r/467870

Change 467869 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Enable cx2outreach campaign

https://gerrit.wikimedia.org/r/467869

Change 467899 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/ContentTranslation@wmf/1.32.0-wmf.24] Enable cx2outreach campaign

https://gerrit.wikimedia.org/r/467899

Change 467899 abandoned by KartikMistry:
Enable cx2outreach campaign

Reason:
Not needed.

https://gerrit.wikimedia.org/r/467899

Change 467870 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable cx2outreach campaign

https://gerrit.wikimedia.org/r/467870

Mentioned in SAL (#wikimedia-operations) [2018-10-22T11:21:26Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:467870|Enable cx2outreach campaign (T207031)]] (duration: 00m 47s)

Pginer-WMF closed this task as Resolved.Oct 26 2018, 9:54 AM